%global gem_name progressbar
%global rubyabi 1.9.1

Summary: Ruby text progress bar generator library
Name: rubygem-%{gem_name}
Version: 0.9.0
Release: 5%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://github.com/peleteiro/progressbar
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Patch0: %{name}-test-load-path-fix.patch
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
ProgressBar is a text progress bar library for Ruby. It can indicate
progress with percentage, a progress bar, and estimated remaining time.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T 
mkdir -p ./%{gem_dir}
gem install \
	--local \
	--install-dir ./%{gem_dir} \
	-V --force --rdoc \
	%{SOURCE0}
pushd .%{gem_instdir}
%patch0
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}
iconv --from=EUC-JP --to=UTF-8 %{buildroot}%{gem_instdir}/README.ja.rd > %{buildroot}%{gem_instdir}/README.ja.rd.utf8 && \
touch -r %{buildroot}%{gem_instdir}/README.ja.rd %{buildroot}%{gem_instdir}/README.ja.rd.utf8 && \
mv -f %{buildroot}%{gem_instdir}/README.ja.rd.utf8 %{buildroot}%{gem_instdir}/README.ja.rd

%check
pushd %{buildroot}/%{gem_instdir}/test
ruby test.rb
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.en.rd
%doc %{gem_instdir}/README.ja.rd
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%{gem_docdir}
%{gem_instdir}/test

%changelog
* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.9.0-5
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 29 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.0-2
- Fixed encoding on README.ja.rd
- Changed way how patch is applied
- Removed unneeded bindir macro
- License changed to Ruby

* Wed Oct 13 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.0-1
- Initial package
